Failover - Get Business Continuity State Full Snapshot
Gets the full business continuity state snapshot for the specified environment.
Gets business continuity snapshot including LastSyncTime.
GET https://api.powerplatform.com/environmentmanagement/environments/{environmentId}/businessContinuityStateFullSnapshot?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
environment
|
path | True |
string |
The ID of the environment. |
|
api-version
|
query | True |
string |
The API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK Media Types: "text/plain", "application/json", "text/json" |
|
| 400 Bad Request |
Bad Request Media Types: "text/plain", "application/json", "text/json" |
|
| 401 Unauthorized |
Unauthorized Media Types: "text/plain", "application/json", "text/json" |
|
| 403 Forbidden |
Forbidden Media Types: "text/plain", "application/json", "text/json" |
|
| 404 Not Found |
Not Found Media Types: "text/plain", "application/json", "text/json" |
|
| 429 Too Many Requests |
Too Many Requests Media Types: "text/plain", "application/json", "text/json" |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Business |
Business-continuity (disaster-recovery) state snapshot for an environment. |
|
Field |
The error detail for a single field. |
|
Operation |
Structured error detail for a failed request. |
|
Validation |
Represents the response for validation of an operation. |
BusinessContinuityStateFullSnapshot
Business-continuity (disaster-recovery) state snapshot for an environment.
| Name | Type | Description |
|---|---|---|
| lastSyncTime |
string (date-time) |
The last time the environment's business-continuity state was synced. |
FieldError
The error detail for a single field.
| Name | Type | Description |
|---|---|---|
| errorMessages |
string[] |
The error messages describing what is wrong with the field. |
| suggestedValue |
string |
A suggested or accepted value that would resolve the error. |
OperationErrorDetail
Structured error detail for a failed request.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| fieldErrors |
<string,
Field |
Per-field error detail, keyed by field name. |
ValidationResponse
Represents the response for validation of an operation.
| Name | Type | Description |
|---|---|---|
| errorDetail |
Structured error detail for a failed request. |